/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package eartestclient;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.ws.WebServiceException;

/**
 *
 * @author davidg
 */
public class Main {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        try {
            URL url = new URL("http://localhost:8080/EARTest-ejb/PersonWebService?wsdl");
            PersonWebServiceService webServiceFactory = new PersonWebServiceService(url);
            PersonWebService pws = webServiceFactory.getPersonWebServicePort();
            Person person = new Person();
            person.setSurname("Glendenning");
            person.setFirstName("Dave");
            pws.savePerson(person);
            Person person2 = pws.getPerson("Glendenning");
            if(person2 != null){
                System.out.println(person2);
            }
        } catch (MalformedURLException me) {
            System.out.println("There was a MalformedURLException thrown while accessing the webservice. " + me.getMessage());
        } catch (WebServiceException wse) {
            System.out.println("There was a WebServiceLException thrown while accessing the webservice. " + wse.getMessage());
        }
    }

}
