package nz.co.msc.eartest.beans;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;
import nz.co.msc.eartest.Person;
import nz.co.msc.eartest.entities.PersonDBO;

/**
 *
 * @author davidg
 */
@Stateless
public class PersonBean implements PersonBeanRemote {

    @PersistenceContext(unitName="EARTest-ejbPU")
    EntityManager em;

    public void savePerson(Person person) {
        if(person.getId() == 0){
            PersonDBO personDBO = new PersonDBO(person.getSurname(), person.getFirstName());
            em.persist(personDBO);
        }else{
            PersonDBO personDBO = em.find(PersonDBO.class, person.getId());
            personDBO.setSurname(person.getSurname());
            personDBO.setFirstName(person.getFirstName());
        }
    }

    public Person getPerson(String surname) {
            Query query = em.createQuery("SELECT person from PersonDBO person WHERE person.surname = '" + surname + "'");
            List results = query.getResultList();
            if(results.size() == 1){
                PersonDBO personDBO = (PersonDBO)results.get(0);
                return new Person(personDBO.getId(), personDBO.getSurname(), personDBO.getFirstName());
            }else if (results.isEmpty()){
                System.out.println("the surname '" + surname + "' could not be found");
                return null;
            }else{
                System.out.println("the surname '" + surname + "' was found " + results.size() + " times.");
                PersonDBO personDBO = (PersonDBO)results.get(0);
                return new Person(personDBO.getId(), personDBO.getSurname(), personDBO.getFirstName());
            }

    }
    


 
}
