/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package nz.co.msc.eartest.ws;

import javax.ejb.EJB;
import javax.jws.Oneway;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.ejb.Stateless;
import nz.co.msc.eartest.Person;
import nz.co.msc.eartest.beans.PersonBeanRemote;

/**
 *
 * @author davidg
 */
@WebService()
@Stateless()
public class PersonWebService {

    @EJB
    private PersonBeanRemote ejbRef;

    @WebMethod(operationName = "savePerson")
    @Oneway
    public void savePerson(@WebParam(name = "person")
    Person person) {
        System.out.println("saving person");
        ejbRef.savePerson(person);
    }

    @WebMethod(operationName = "getPerson")
    public Person getPerson(@WebParam(name = "surname")
    String surname) {
         System.out.println("getting person");
        return ejbRef.getPerson(surname);
    }

}
